import http.server
import socketserver
import os
import webbrowser
from tkinter import Tk, filedialog

def choose_file():
    root = Tk()
    root.withdraw()  # Hide the root window
    file_path = filedialog.askopenfilename(title="Select the index.html file", filetypes=[("HTML files", "*.html")])
    root.destroy()
    return file_path

def run_server(port, directory):
    os.chdir(directory)
    handler = http.server.SimpleHTTPRequestHandler
    with socketserver.TCPServer(("", port), handler) as httpd:
        print(f"Serving at port {port}")
        httpd.serve_forever()

def main():
    file_path = choose_file()
    if not file_path:
        print("No file selected. Exiting.")
        return

    directory = os.path.dirname(file_path)
    port = 8000

    url = f"http://localhost:{port}/{os.path.basename(file_path)}"
    webbrowser.open(url)

    run_server(port, directory)

if __name__ == "__main__":
    main()
