document.addEventListener('DOMContentLoaded', function() {
    const speechButtons = document.querySelectorAll('.speech-button');
    const speechBar = document.getElementById('speech-bar');
    const speakButton = document.getElementById('speak-button');
    const clearButton = document.getElementById('clear-button');

    speechButtons.forEach(button => {
        button.addEventListener('click', () => {
            const text = button.getAttribute('data-text');
            speechBar.value += text + ' ';
            speakText(text);
        });
    });

    speakButton.addEventListener('click', () => {
        const text = speechBar.value;
        speakText(text);
    });

    clearButton.addEventListener('click', () => {
        speechBar.value = '';
    });

    function speakText(text) {
        const speech = new SpeechSynthesisUtterance(text);
        window.speechSynthesis.speak(speech);
    }
});
